Filmer Batch API Documentation

Overview

The Filmer Batch API provides bulk upsert operations for filmers.

Endpoints

Batch Upsert Filmers

POST /api/f1/sync/filmers/batch

Creates or updates multiple filmers in a single request. For each filmer in the batch:

  • With an id, the existing filmer with that id is updated. If you have no filmer with that id, that entry returns filmer not found - nothing is created

  • Without an id, a new filmer is created and FreeFallFilms assigns its id

Request Format

{
  "filmers": [
    {
      "name": "John Doe",
      ...other filmer attributes...
    },
    {
      "id": 77,
      "name": "Jane Smith",
      ...other filmer attributes...
    }
  ]
}

Each filmer object in the array accepts the same parameters as the Filmer API's create/update endpoints.

Success Response

{
  "results": [
    {
      "id": 72,
      "external_id": "EXT123",
      "name": "John Doe",
      ...other filmer attributes...,
      "status": "created"
    },
    {
      "id": 77,
      "external_id": "EXT456",
      "name": "Jane Smith",
      ...other filmer attributes...,
      "status": "ok"
    }
  ]
}

Error Response

If any filmers in the batch have errors, they will be reported individually while still processing the rest of the batch:

{
  "results": [
    {
      "id": 72,
      "external_id": "EXT123",
      "name": "John Doe",
      ...other filmer attributes...,
      "status": "created"
    },
    {
      "id": 9999,
      "error": "filmer not found",
      "status": "not_found"
    },
    {
      "external_id": "EXT18",
      "errors": [
          "Email can't be blank",
          "Email is invalid"
      ],
      "status": "unprocessable_content"
    }
  ]
}

Notes

  • Operations are atomic per filmer - each filmer in the batch is processed independently
  • Failed operations for one filmer do not affect the processing of other filmers in the batch
  • Response includes results for all filmers, with success or error status for each
  • All other notes from the Filmer API apply (authentication, etc.)